/* 
   jplay2 - JACK audio player for multimedia files

   Copyright (C) 2007 Robin Gareus

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 
   as published by the Free Software Foundation;

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif

// prototypes - jack.c
void dothejack(void);
void loopthejack(void);
void close_jack(void);

// protoypes - player.c
void initialize_decoder (void);
void openfile(char *filename);

#define min( v1, v2 ) ((v1) < (v2) ? (v1) : (v2))

// buffer
#define CACHE_S (32768)
#define FADELEN 32 

// decoder
typedef enum { SFT_NONE = 0 , SFT_FFMPEG, SFT_QUICKTIME, SFT_SNDFILE } sfdecoder;

